| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - n -

- name : csOptionDescription, getopt_option, csEventCord, CS::ImportKit::Container::Material, CS::ImportKit::Container::Model, csBitmaskToString::MaskNames, csShaderProgram::ProgramParam, csShaderVarMapping, csGraphics2D, CS::ShaderVarName
- Name : iEvent, SYMBOL_INFOW, SYMBOL_INFO, csObject, csCommandLineOption
- name_reg : csInputDefinition
- NameChanged() : iObjectNameChangeListener
- nameDiffuseTexture : csTextureManager
- NameLen : SYMBOL_INFOW, SYMBOL_INFO
- NameRegistry : csInputDriver
- New() : iSharedVariableList
- new_idx : csCompressVertexInfo, csCompressVertex
- NewCameraPosition() : iCameraPositionList
- NewCollection() : iCollectionList
- NewEvent() : csCommandEventHelper, csJoystickEventHelper, csMouseEventHelper
- NewFactory() : iTextureType, iMeshObjectType, iRenderStepType, csMeshType
- NewFile() : csArchive
- NewInstance() : iMeshObjectFactory, csMeshFactory
- NewMaterial() : iMaterialList
- NewMesh() : iSectorMeshCallback
- NewObject() : iScript
- NewSector() : iEngineSectorCallback, iCameraSectorListener
- NewSequence() : iSequenceManager
- NewShadowBlock() : iShadowBlockList
- NewTexture() : iTextureList
- NewTraversal() : csKDTree
- Next() : iReporterIterator, iPluginIterator, iObjectRegistryIterator, iObjectIterator, iEventAttributeIterator, iDocumentNodeIterator, iDocumentAttributeIterator, iConfigIterator, iVisibilityObjectIterator, iShadowIterator, iSectorIterator, iMeshWrapperIterator, iLightIterator, csSet< T, Allocator >::GlobalIterator, csTypedObjectIterator< T >, csList< T >::Iterator, csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator, csHash< T, K, ArrayMemoryAlloc >::ConstIterator, csHash< T, K, ArrayMemoryAlloc >::GlobalIterator, csHash< T, K, ArrayMemoryAlloc >::Iterator, CS::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >, csEmptyDocumentAttributeIterator, csEmptyDocumentNodeIterator, csEventTree::SubscriberIterator, csEventAttributeIterator, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator, iUserRenderBufferIterator, csNodeIterator, CS::SndSys::QueueIterator< T >
- next : csSequenceOp, csFogInfo, csList< T >::csListElement, csFixedSizeAllocator< Size, Allocator >::FreeNode, csEventCord::PluginData, csGenerateImageLayer, CS::SndSys::QEntry< T >, csFontCache::LRUEntry
- NextCallback : KDHELP64
- NextFilename() : CS::NumberedFilenameHelper
- NextFrame() : iMeshObject, csMeshObject, csParticleSystem
- NextNoAdvance() : csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator, csHash< T, K, ArrayMemoryAlloc >::GlobalIterator
- NextNode() : csNodeIterator
- NextTriangle() : CS::TriangleIndicesStream< T >
- NLerp() : csQuaternion
- node : csSubRectangles::SubRect::AllocInfo
- Node() : csRedBlackTree< K >::Node, csPartialOrder< T >::Node
- nodeAlloc : csRedBlackTree< K >
- NodeAttributeCompare() : CS::DocumentHelper::NodeAttributeCompare
- NodeAttributeRegexpTest() : CS::DocumentHelper::NodeAttributeRegexpTest
- NodeAttributeValueTest() : CS::DocumentHelper::NodeAttributeValueTest
- NodeColor : csRedBlackTree< K >
- NodeMap : csPartialOrder< T >
- Nodes : csPartialOrder< T >
- NodeValueTest() : CS::DocumentHelper::NodeValueTest
- norm : csPlane3, csPlane2, csDPlane
- Norm() : csVector4T< T >, csVector3, csVector2, csQuaternion, csDVector3
- Normal() : csPlane3, csPlane2, csDPlane
- Normalize() : csVector4T< T >, csVector3, csPlane3, csPlane2, csDPlane, csDVector3, csRect
- normals : CS::ImportKit::Container::Model::Mesh
- Notify() : csEventTree
- num : csShaderExpression::oper_arg, csBox3::Outline
- num_disk_start_cdir : ZIP_end_central_dir_record
- num_entries_centrl_dir_ths_disk : ZIP_end_central_dir_record
- NUM_FACES : csImageCubeMapMaker
- num_points : csSpline
- num_sides : csBox3::Outline
- num_vertices : csMeshedPolygon, csTriangleVertices, csPolyIndexed, csPoly2D
- numAxes : csJoystickEventData, csMouseEventData
- number : csJoystickEventData, csParticleSystem
- number_this_disk : ZIP_end_central_dir_record
- NumberedFilenameHelper() : CS::NumberedFilenameHelper
- numberOfLights : csShaderMetadata
- NumberOfMemoryRanges : MINIDUMP_MEMORY_LIST
- NumberOfStreams : MINIDUMP_HEADER
- NumSyms : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- nx : csCompressVertexInfo
- ny : csCompressVertexInfo
- nz : csCompressVertexInfo